Issue 67502 - Support quickstart on Mac OS X
Support quickstart on Mac OS X
Status: CLOSED FIXED
Product: porting
Classification: Code
Component: MacOSX
680
Mac Mac OSX, all
: P3 trivial (vote)
: OOo 3.0
Assigned To: thorsten.martens
issues@porting
: aqua
: 79399 82351 (view as issue list)
Depends on:
Blocks: 61866
  Show dependency treegraph
 
Reported: 2006-07-18 14:13 UTC by moxfox
Modified: 2008-08-05 10:23 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
alpha version of the scripting part of the quickstarter support (2.73 KB, patch)
2006-07-18 14:15 UTC, moxfox
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description moxfox 2006-07-18 14:13:56 UTC
To provide Mac-like behaviour to OOo X11 Mac, it should be possible to use a
quickstarter service in order to prevent the OOo program quitting when the last
window is closed.

UI to use OOo when no windows are open, can be delegated to the applescript -applet.
Comment 1 moxfox 2006-07-18 14:15:38 UTC
Created attachment 37867 [details]
alpha version of the scripting part of the quickstarter support
Comment 2 moxfox 2006-07-18 14:17:32 UTC
the scripting patch against main.applescript provides some initial support for
quickstarter. 

Now, the real work is to get OOo support the "-quickstart" command line switch
on Mac OS X.
Comment 3 jjmckenzie 2006-07-18 21:30:35 UTC
@mox:

I don't know if X11 supports -quickstart or not.  This may have to wait until 
the native version is ready.

James
Comment 4 moxfox 2007-05-24 20:13:28 UTC
This is more of interest for the aqua port, since that will allow us to use
"always available" the system menu, even when there are no document windows open.

So this is not about X11 anymore.
Comment 5 moxfox 2007-05-24 20:14:14 UTC
.
Comment 6 eric.bachard 2007-07-09 13:11:43 UTC
*** Issue 79399 has been marked as a duplicate of this issue. ***
Comment 7 philipp.lohmann 2008-02-05 11:00:04 UTC
started
Comment 8 philipp.lohmann 2008-02-05 11:46:33 UTC
sfx Quickstarter implemented in CWS aquavcl05; if you close the last frame now a
default menu will be available that allows to create/open other documents.

Known issues:
- open document from quickstarter and close it immediately again leads to
assertions/crash. This is a cross platform framework issue that as works on.
- open document, cancel, create from template -> the now inactive file dialog is
shown again which was taken as default parent. To be fixed in a separate issue.
- About and Preferences dialogs not functional while no document is open. Will
fix in aquavcl05.
Comment 9 philipp.lohmann 2008-02-06 10:07:59 UTC
About and Preferences now work in quickstart mode, too.
Comment 10 philipp.lohmann 2008-02-19 20:51:05 UTC
please verify in CWS aquavcl05
Comment 11 eric.bachard 2008-02-27 21:54:31 UTC
*** Issue 82351 has been marked as a duplicate of this issue. ***
Comment 12 b.osi.ooo 2008-03-02 16:30:34 UTC
verified in CWS aquavcl05: ok
Comment 13 Raphael Bircher 2008-08-05 10:23:44 UTC
fixed in master

Closing issue